#!/bin/bash
#
#===============================================================================
# En archivos de tipo *.*.* quitamos la última extensión recursivamente
#===============================================================================
#

if [ $# -ne 1 ]
then
  echo "Uso: "${0##*/}" ruta"
  exit 0
fi

find $1 -iname '*.*.*' | while read f
do
  nf=$(echo "$f" | sed 's/\(.*\..*\)\..*/\1/')
  mv -v "$f" "$nf"
done

# También valdría usando:

# ~$ f="example.tar.gz"

# ~$ echo "${f%%.*}"
# example

# ~$ echo "${f%.*}"
# example.tar

# ~$ echo "${f#*.}"
# tar.gz

# ~$ echo "${f##*.}"
# gz


