#!/bin/bash
#
#===============================================================================
# Convertimos en el directorio en curso de ogg y wav a mp3. Borra los
# ogg y wav.
#===============================================================================
#
# oggdec se encuentra en el paquete vorbis-tools
#

if [ $# -ne 1 ]
then
  echo "Uso: "${0##*/}" ruta"
  exit 0
fi

# Pasamos de wav a mp3
find $1 -maxdepth 1 -iname "*.wav" | while read f
do
# ${f%.*} quita la extensión
  lame -b 320 "$f" "${f%.*}".mp3
  rm "$f"
done



#
# Otra forma de hacerlo pero más ineficiente
# Pasamos a mp3
#find $1 -maxdepth 1 -iname "*.wav" | while read f
#do
#  lame "$f" "${f}".mp3
#  rm "$f"
#done
# Renombramos wav.mp3 a mp3
#find $1 -maxdepth 1 -iname '*.wav.mp3*' | while read f
#do
#  NEWFILE=`echo ${f} | sed 's/wav.mp3/mp3/g'`
#  mv "${f}" ${nf}
#done
